Subject: bug#18528: 24.3.93; Crash during restoration of frameset from desktop

From: martin rudalics <[email-masked]>
Date: Wed, 24 Sep 2014 08:16:47 +0200

> So now I don't understand why you asked about rounding up, since we
 > evidently already do.

Not everywhere.  For example, we don't in FRAME_MESSAGE_BUF_SIZE and
FRAME_CURSOR_X_LIMIT.  And the following check in compute_motion of
indent.c seems dubious as well.

	  if (!NILP (Vtruncate_partial_width_windows)
	      && (total_width < FRAME_COLS (XFRAME (WINDOW_FRAME (win)))))

martin